Subject: bug#8911: bs-cycle-next deletes window in some cases.

From: Stefan Monnier <[email-masked]>
Date: Sun, 26 Jun 2011 21:30:01 -0400

>> I thought Stefan's proposal to call `bury-buffer' with the current
>> buffer as explicit argument should handle this.

> True, thanks. I've committed that fix.
> What about the other two?

I'm not sure about the third (isn't it also fixed by passing a non-nil
arg to bury-buffer?), but for the second the right fix is to remove the
"fallback on pop-to-buffer" from switch-to-buffer.  Of course, that will
(re)introduce new bugs which we could/should "fix" by marking
switch-to-buffer (and find-file and maybe a few more) as "don't call
from Elisp".

        Stefan